Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.dom.svg
Interface SVGColorProfileElement

All Superinterfaces:
  org.w3c.dom.Element, org.w3c.dom.Node, SVGElement, SVGRenderingIntent, SVGURIReference

All Known Implementing Classes:
  SVGOMColorProfileElement

public interface SVGColorProfileElement
extends SVGElement, SVGURIReference, SVGRenderingIntent

Field Summary

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Fields inherited from interface org.w3c.dom.svg.SVGRenderingIntent
`RENDERING_INTENT_ABSOLUTE_COLORIMETRIC, RENDERING_INTENT_AUTO, RENDERING_INTENT_PERCEPTUAL, RENDERING_INTENT_RELATIVE_COLORIMETRIC, RENDERING_INTENT_SATURATION, RENDERING_INTENT_UNKNOWN`

Method Summary
`java.lang.String` | `getLocal()`
`java.lang.String` | `getName()`
`short` | `getRenderingIntent()`
`void` | `setLocal(java.lang.String local)`
`void` | `setName(java.lang.String name)`
`void` | `setRenderingIntent(short renderingIntent)`

Methods inherited from interface org.w3c.dom.svg.SVGElement
`getId, getOwnerSVGElement, getViewportElement, getXMLbase, setId, setXMLbase`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Methods inherited from interface org.w3c.dom.svg.SVGURIReference
`getHref`

Method Detail

### getLocal

    public java.lang.String getLocal()

### setLocal

    public void setLocal(java.lang.String local)
                  throws org.w3c.dom.DOMException

  Throws:
    `org.w3c.dom.DOMException`

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)
                 throws org.w3c.dom.DOMException

  Throws:
    `org.w3c.dom.DOMException`

### getRenderingIntent

    public short getRenderingIntent()

### setRenderingIntent

    public void setRenderingIntent(short renderingIntent)
                            throws org.w3c.dom.DOMException

  Throws:
    `org.w3c.dom.DOMException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.